Bug 85907 - DIALOG: Moving buttons over in special character dialog
Summary: DIALOG: Moving buttons over in special character dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: Other All
: medium enhancement
Assignee: Adolfo Jayme
QA Contact:
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-05 08:42 UTC by Yousuf Philips (jay)
Modified: 2014-12-20 22:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
before and after (95.67 KB, image/png)
2014-11-05 08:42 UTC, Yousuf Philips (jay)
Details
alternative after mockup (40.30 KB, image/png)
2014-11-05 09:02 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-05 08:42:04 UTC
Created attachment 108937 [details]
before and after

The special character dialog was update in bug 64302, but unfortunately the 'Insert' and 'Cancel' buttons are not aligned with the other elements in the dialog.
Comment 1 Yousuf Philips (jay) 2014-11-05 09:02:40 UTC
Created attachment 108939 [details]
alternative after mockup

Might be nice to align everything up by moving the preview area in line with the buttons and drop downs.
Comment 2 Commit Notification 2014-11-05 16:42:59 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74fe2377784397169bec7dad9816b79ee80dfe32

fdo#85907 Better use of space in Special Characters dialog

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2014-11-05 17:19:38 UTC
Hi Adolfo,

Glad you went with my mockup, but now the size of the preview area is huge. http://i.imgur.com/j9ZDFPU.png
Comment 4 Commit Notification 2014-11-11 16:43:32 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5968ace1c0ce3796465feaed8f445a0397045c37

fdo#85907 Tweak size requests

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme 2014-11-11 21:16:41 UTC
Thanks for the heads-up! I did not see the huge spacing because I only tested under Windows, but it should be reduced now.
Comment 6 A (Andy) 2014-11-21 22:21:35 UTC
I tested it right now with LO 4.4.0.0.beta1, Win 8.1.
Unfortunately, for me it does not look like in the After screenshot.  The INSERT and CANCEL buttons, the CHARACTERS field and the SUBSET field go further to the right than the Special Character selection box (till the end of the dialogue box on the right). 
Is there a misunderstanding from my side?
Comment 7 Adolfo Jayme 2014-11-22 09:08:59 UTC
(In reply to A (Andy) from comment #6)
> The INSERT and CANCEL buttons, the CHARACTERS field and the SUBSET field go
> further to the right than the Special Character selection box (till the end
> of the dialogue box on the right).

You’ve described with precision the intended look.
Comment 8 Yousuf Philips (jay) 2014-11-22 10:44:10 UTC
Hi Adolfo,

If you get a chance Adolfo, i think this needs to be updated < 
https://wiki.documentfoundation.org/File:4.4_Simplification_of_Writer_special_character_dialog.png >, as it shows how it looked prior to this bug fix. :D
Comment 9 Adolfo Jayme 2014-11-22 23:56:09 UTC
(In reply to Jay Philips from comment #8)
> If you get a chance Adolfo, i think this needs to be updated

Done, thanks.
Comment 10 Mike §chinagl 2014-12-20 21:58:26 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


Special characters are now added to an editable field so special characters can be inserted/removed at the location of the cursor in the field.

See a graphic of the work:
https://wiki.documentfoundation.org/File:4.4_Simplification_of_Writer_special_character_dialog.png
Comment 11 Adolfo Jayme 2014-12-20 22:17:43 UTC
Mike, maybe you didn’t notice, but we actually added those to the wiki, no need for additional reminders. :-)
Comment 12 Mike §chinagl 2014-12-20 22:27:32 UTC
When looking through the release notes I thought it might be helpful for users finding this bug not through the release notes, but via other means, they would be happy to see the outcome of your work with just one click. In this case you added the link to the file already but then changed it. So now users would click on the indicated file and view the changes.